Bug 3896 - mtp file transfer error
: mtp file transfer error
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on: 3969
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-31 16:00 MSD by Vladimir Potapov
Modified: 2014-10-02 00:19 MSD (History)
4 users (show)

See Also:
RPM Package: kio-mtp
ISO-related:
Bad POT generating:
Upstream:


Attachments
ss (16.67 KB, image/png)
2014-03-31 19:27 MSD, Vladimir Potapov
Details
patched (98.66 KB, application/octet-stream)
2014-04-01 02:42 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-03-31 16:00:10 MSD
I have two smartfones (huawei and sony) with one mtp error.
If I copy many files (or one big file) by mtp, process exited with error.
in messages
usb 4-1.1.3: usbfs: process 6043 (kio_mtp) did not claim interface 0 before use
Comment 1 Vladimir Potapov 2014-03-31 19:24:56 MSD
I found two issue
1) File transfer stopped with message "broken" if smartphone lock. It's don't user frendly, needed add to error message tip for unlock device.
2) Open device from tray and kio non stable. But I founded workaround
https://wiki.archlinux.org/index.php/MTP#Workaround_if_the_KDE_device_actions_doesn.27t_work

I check the solve for three my androind's device. Now all ok!
Comment 2 Vladimir Potapov 2014-03-31 19:27:02 MSD
Created attachment 2746 [details]
ss

The message don't localized in russian KDE.
Comment 3 Vladimir Potapov 2014-04-01 02:42:19 MSD
Created attachment 2747 [details]
patched

I patch the file for support my sony xperia zr
Comment 4 Vladimir Potapov 2014-04-01 02:44:51 MSD
Now kio-mtp don't install by default. I propose to add it to task-KDE. (after fixes)
Comment 5 Alexander Burmashev 2014-04-15 15:47:01 MSD
Suggested improvements were implemented
Feel free to test http://bugs.rosalinux.ru/show_bug.cgi?id=3969
Comment 6 Denis Silakov 2014-10-02 00:19:17 MSD
Since the fix from bug #3969 was approved, let's close this one.